## ros-iron-moveit-setup-framework 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_setup_framework LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(fmt REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_visualization REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(srdfdom REQUIRED)
find_package(urdf REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt5_wrap_cpp(MOC_FILES
    include/moveit_setup_framework/qt/helper_widgets.hpp
    include/moveit_setup_framework/qt/setup_step_widget.hpp
    include/moveit_setup_framework/qt/rviz_panel.hpp
    include/moveit_setup_framework/qt/double_list_widget.hpp
)

add_library(moveit_setup_framework
    src/helper_widgets.cpp
    src/double_list_widget.cpp
    src/urdf_config.cpp
    src/package_settings_config.cpp
    src/srdf_config.cpp
    src/rviz_panel.cpp
    src/data_warehouse.cpp
    src/templates.cpp
    src/utilities.cpp
    src/xml_syntax_highlighter.cpp
    ${MOC_FILES}
)
target_include_directories(moveit_setup_framework PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/moveit_setup_framework>
)
ament_target_dependencies(moveit_setup_framework
  ament_index_cpp
  moveit_core
  moveit_ros_planning
  moveit_ros_visualization
  pluginlib
  Qt5Core
  Qt5Widgets
  rclcpp
  rviz_common
  rviz_rendering
  srdfdom
  urdf
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()
install(DIRECTORY include/
        DESTINATION include/moveit_setup_framework
)
install(FILES moveit_setup_framework_plugins.xml
        DESTINATION share/moveit_setup_framework
)

install(DIRECTORY templates DESTINATION share/moveit_setup_framework)

ament_export_targets(moveit_setup_frameworkTargets HAS_LIBRARY_TARGET)
install(TARGETS moveit_setup_framework
        EXPORT moveit_setup_frameworkTargets
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
        RUNTIME DESTINATION bin
        INCLUDES DESTINATION include/moveit_setup_framework
)

ament_export_dependencies(fmt)
ament_export_dependencies(rclcpp)
ament_export_dependencies(Qt5Core)
ament_export_dependencies(Qt5Widgets)
ament_export_dependencies(moveit_common)
ament_export_dependencies(moveit_core)
ament_export_dependencies(moveit_ros_planning)
ament_export_dependencies(moveit_ros_visualization)
ament_export_dependencies(rviz_common)
ament_export_dependencies(rviz_rendering)
pluginlib_export_plugin_description_file(moveit_setup_framework moveit_setup_framework_plugins.xml)

ament_package()

=== templates/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project([GENERATED_PACKAGE_NAME])

find_package(ament_cmake REQUIRED)

ament_package()

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})
install(FILES .setup_assistant DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-iron-moveit-setup-framework (2.8.0-1jammy) jammy; urgency=high

  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-setup-framework (2.7.4-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-setup-framework (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-framework (2.7.2-1jammy) jammy; urgency=high

  * Add URDF Loader Exceptions and Fix Infinite While-Loop when URDF file isn't in a ROS Package (#2032 <https://github.com/ros-planning/moveit2/issues/2032>)
    * Fixed infinite while loop in utilities.cpp and added some exception handling to start screen widget
    * Fix trailing whitespace, fix getSharePath exception catch on empty request
    * Fix clang tidy suggestion and error message updates based on pr comments
  * Contributors: Chance Cardona

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-framework (2.7.1-1jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-setup-framework (2.7.0-1jammy) jammy; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wdelete-non-abstract-non-virtual-dtor
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-setup-framework (2.6.0-1jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Cleanup cmake files
    - Replace ament_export_libraries() -> ament_export_targets(HAS_LIBRARY_TARGET)
    - Replace ament_export_include_directories() -> INCLUDES DESTINATION include
    See https://docs.ros.org/en/foxy/How-To-Guides/Ament-CMake-Documentation.html#building-a-library
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Robert Haschke, Sebastian Jahr

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-setup-framework (2.5.3-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-setup-framework (2.5.2-1jammy) jammy; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] One XML Parser (#1382 <https://github.com/ros-planning/moveit2/issues/1382>)
  * [MSA] Fix SRDF Initialization Bug / Copy Paste Error (#1381 <https://github.com/ros-planning/moveit2/issues/1381>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)


=== debian/control ===
Source: ros-iron-moveit-setup-framework
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, ros-iron-ament-clang-format <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-lint-cmake <!nocheck>, ros-iron-ament-cmake-xmllint <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-ros-planning, ros-iron-moveit-ros-visualization, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rviz-common, ros-iron-rviz-rendering, ros-iron-srdfdom, ros-iron-urdf, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-setup-framework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-iron-ament-index-cpp, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-ros-planning, ros-iron-moveit-ros-visualization, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rviz-common, ros-iron-rviz-rendering, ros-iron-srdfdom, ros-iron-urdf, ros-iron-ros-workspace
Description: C++ Interface for defining setup steps for MoveIt Setup Assistant

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-setup-framework//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
